package com.iamberry.wechat.core.entity.cart;

import com.iamberry.wechat.core.entity.product.SalesUserGift;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * @author 刘志伟
 * 销售订单项类
 */
public class ShopOrderItemDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -2373805406215436318L;

	private Integer itemId;								//订单条目id
	
	private String itemSalesOrderid;				//所属订单
	
	private Integer itemProductId;					//购物商品
	
	private Integer itemNum;						//商品数量
	
	private Integer itemTotal;						//小结
	
	private String itemProductName;			//商品名称
	
	private Integer itemProductDiscount;		//商品优惠价
	
	private Integer itemProductPrice;			//商品原价
	
	private String itemProductPic;					//介绍图
	
	private String productStatus;					//产品状态
	
	private Integer productColor;			//产品颜色		1：红色	2：橙色	3：黄色	4：绿色
	//			5：青色	6：蓝色	7：紫色	8：白色


	private Integer itemColorId;			//产品颜色id
	private String itemProductColor;		//产品颜色
	private Integer itemProductChildType;	//产品子类型
	private Integer itemIsSource;			//产品来源
	private Integer itemGiftSource;			//产品id，赠品才有，标识是哪个产品的赠品

	private List<SalesUserGift> salesUserGiftList; //赠品集合

	public Integer getItemColorId() {
		return itemColorId;
	}

	public void setItemColorId(Integer itemColorId) {
		this.itemColorId = itemColorId;
	}

	public String getItemProductColor() {
		return itemProductColor;
	}

	public void setItemProductColor(String itemProductColor) {
		this.itemProductColor = itemProductColor;
	}

	public Integer getItemProductChildType() {
		return itemProductChildType;
	}

	public void setItemProductChildType(Integer itemProductChildType) {
		this.itemProductChildType = itemProductChildType;
	}

	public Integer getItemIsSource() {
		return itemIsSource;
	}

	public void setItemIsSource(Integer itemIsSource) {
		this.itemIsSource = itemIsSource;
	}

	public Integer getItemGiftSource() {
		return itemGiftSource;
	}

	public void setItemGiftSource(Integer itemGiftSource) {
		this.itemGiftSource = itemGiftSource;
	}

	public List<SalesUserGift> getSalesUserGiftList() {
		return salesUserGiftList;
	}

	public void setSalesUserGiftList(List<SalesUserGift> salesUserGiftList) {
		this.salesUserGiftList = salesUserGiftList;
	}

	public String getProductStatus() {
		return productStatus;
	}

	public Integer getProductColor() {
		return productColor;
	}

	public void setProductColor(Integer productColor) {
		this.productColor = productColor;
	}

	public void setProductStatus(String productStatus) {
		this.productStatus = productStatus;
	}

	public Integer getItemId() {
		return itemId;
	}

	public void setItemId(Integer itemId) {
		this.itemId = itemId;
	}

	public String getItemSalesOrderid() {
		return itemSalesOrderid;
	}

	public void setItemSalesOrderid(String itemSalesOrderid) {
		this.itemSalesOrderid = itemSalesOrderid;
	}

	public Integer getItemNum() {
		return itemNum;
	}

	public void setItemNum(Integer itemNum) {
		this.itemNum = itemNum;
	}

	public Integer getItemTotal() {
		return itemTotal;
	}

	public void setItemTotal(Integer itemTotal) {
		this.itemTotal = itemTotal;
	}

	public String getItemProductName() {
		return itemProductName;
	}

	public void setItemProductName(String itemProductName) {
		this.itemProductName = itemProductName;
	}

	public Integer getItemProductDiscount() {
		return itemProductDiscount;
	}

	public void setItemProductDiscount(Integer itemProductDiscount) {
		this.itemProductDiscount = itemProductDiscount;
	}

	public Integer getItemProductPrice() {
		return itemProductPrice;
	}

	public void setItemProductPrice(Integer itemProductPrice) {
		this.itemProductPrice = itemProductPrice;
	}

	public String getItemProductPic() {
		return itemProductPic;
	}

	public void setItemProductPic(String itemProductPic) {
		this.itemProductPic = itemProductPic;
	}

	public Integer getItemProductId() {
		return itemProductId;
	}

	public void setItemProductId(Integer itemProductId) {
		this.itemProductId = itemProductId;
	}
	
	
	
}
